import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Maintains and displays the player's score.
 * 
 * @author Michael Berry
 * @version 29/05/08
 */
public class ScoreText extends SmallText
{

    private int score;
    
    public ScoreText()
    {
        super("Score");
        setColor(Color.YELLOW);
        score = 0;
        updateImage(Integer.toString(score));
    }
    
    /**
     * Adds a value to the score.
     * @num the value to add to the score.
     */
    public void addScore(int num)
    {
        score += num;
        updateImage(Integer.toString(score));
    }
    
    /**
     * Gets the value of this score.
     * @return how many points the player has.
     */
    public int getScore()
    {
        return score;
    }
}
