import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;

import static java.awt.Color.BLUE;
import static java.awt.Font.BOLD;

/**
 * A type of text used to display a statistic, for example the score or
 * number of arrows.
 * 
 * @author Michael Berry (mjrb4)
 * @version 01/01/09
 */
public abstract class SmallText extends Actor
{

    private String prefix;
    private Color color;
    private int size;
    
    /**
     * Create some new small text with a prefix.
     */
    public SmallText(String prefix)
    {
        this.prefix = prefix;
        size = 14;
        color = BLUE;
    }

    /**
     * Update the image with the text to come after the prefix.
     */
    public void updateImage(String text)
    {
        GreenfootImage image = new GreenfootImage(200, 25);
        image.setColor(color);
        image.setFont(new Font("Serif", BOLD, size));
        image.drawString(prefix + ": " + text, 20, 20);
        setImage(image); 
    }
    
    /**
     * Set the colour of the text
     */
    public void setColor(Color color)
    {
        this.color = color;
    }
    
    /**
     * Set the size of the text
     */
    public void setSize(int size)
    {
        this.size = size;
    }
}
