import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

/**
 * Displays the time taken for this level.
 * 
 * @author Michael Berry
 * @version 29/05/08
 */
public class TimerText extends SmallText
{

    private long start;
    
    public TimerText()
    {
        super("Timer");
        setColor(Color.YELLOW);
        start = System.currentTimeMillis();
    }
    
    public void act()
    {
        updateImage(Long.toString((System.currentTimeMillis()-start)/1000));
    }
    
    /**
     * Adds a value to the score.
     * @num the value to add to the score.
     */
    public void reset()
    {
        start = System.currentTimeMillis();
    }
    
    /**
     * Gets the value of this score.
     * @return how many points the player has.
     */
    public int getTime()
    {
        return (int)((System.currentTimeMillis()-start)/1000);
    }
}
